## musescore3 3.2.3%2Bdfsg2

=== thirdparty/kQOAuth/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library(kqoauth STATIC
   kqoauthauthreplyserver.cpp
   kqoauthrequest.cpp
   kqoauthrequest_xauth.cpp
   kqoauthmanager.cpp
   kqoauthutils.cpp
   ${_all_h_file}
   ${PCH}
   ${INCS}
   )

if (NOT MSVC)
   set_target_properties (
      kqoauth
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -I ${PROJECT_SOURCE_DIR}/thirdparty/openssl/include -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      kqoauth
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} /I${PROJECT_SOURCE_DIR}/thirdparty/openssl/include"
      )
endif (NOT MSVC)   

xcode_pch(kqoauth all)

# Use MSVC pre-compiled headers
vstudio_pch( kqoauth )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(kqoauth mops1)
   ADD_DEPENDENCIES(kqoauth mops2)
endif (NOT MSVC)

=== mtest/libmscore/layout/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_benchmark)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== mtest/libmscore/layout_elements/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_layout_elements)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== mtest/zerberus/opcodeparse/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_sfzopcodes)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

include_directories(
      ${SNDFILE_INCDIR}
      )

target_link_libraries(tst_sfzopcodes zerberus synthesizer audiofile ${SNDFILE_LIB} testutils)

=== thirdparty/singleapp/src/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2009 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library (
  qtsingleapp STATIC
  ${_all_h_file}
  ${PCH}
  qtsingleapplication.cpp
  qtlocalpeer.cpp
  )

if (NOT MSVC)
   set_target_properties (
      qtsingleapp
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      qtsingleapp
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE}"
      )
endif (NOT MSVC)   

xcode_pch(qtsingleapp all)

# Use MSVC pre-compiled headers
vstudio_pch( qtsingleapp )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(qtsingleapp mops1)
   ADD_DEPENDENCIES(qtsingleapp mops2)
endif (NOT MSVC)

=== debian/changelog ===
musescore3 (3.2.3+dfsg2-16build5) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:18:07 +0000

musescore3 (3.2.3+dfsg2-16build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:19:43 +0000

musescore3 (3.2.3+dfsg2-16build3) noble; urgency=high

  * No change rebuild against libpoppler-qt5-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:02 +0100

musescore3 (3.2.3+dfsg2-16build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:00:35 +0000

musescore3 (3.2.3+dfsg2-16build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:40:21 +0000

musescore3 (3.2.3+dfsg2-16) unstable; urgency=medium

  * Fix a few more uninitialised memory accesses found by Valgrind
  * Work around unexpected colourised messages from cmake’s tester

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Aug 2022 04:41:04 +0200

musescore3 (3.2.3+dfsg2-15) unstable; urgency=medium

  * Use backported fix to replace parts of the Tebe Poem crash fix
    (for style consistency with 3.6.x)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 18:55:04 +0200

musescore3 (3.2.3+dfsg2-14) unstable; urgency=medium

  * Add more fixes to Tebe Poem fix patch
  * Apply more fixes from upstream and PR#9000
  * debian/watch: work around GH API breakage
  * Quell some debugging output

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 05:39:51 +0200

musescore3 (3.2.3+dfsg2-12) unstable; urgency=low

  * “Blessed Beltaine” upload (or happy May day)
  * Add a few frames-related bugfixes from upstream
  * Test experimental crash in Tebe Poem fix
  * Allow longer offtime (10× nominal length) for notes in PRE

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 May 2022 02:55:43 +0200

musescore3 (3.2.3+dfsg2-11) unstable; urgency=medium

  * Fix soundfont-related crashes or audible artefacts (Closes: #985129)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jun 2021 18:18:36 +0200

musescore3 (3.2.3+dfsg2-10) unstable; urgency=medium

  * Merge musescore2 (2.3.2+dfsg4-14) unstable; urgency=medium
    - fixes rare error in m3-common.prerm (Closes: #984592)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Mar 2021 17:59:50 +0100

musescore3 (3.2.3+dfsg2-9) unstable; urgency=medium

  * backports/plugin-parent.diff: fix crash when traversing from
    an Element through its parents (in a QML plugin): missing
    NULL return when the element has no parent
  * upstream/sprintf.diff: fix (unlikely) sprintf overflow

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 11 Feb 2021 02:21:26 +0100

musescore3 (3.2.3+dfsg2-8) unstable; urgency=medium

  * Sync SMuFL update to upstream
  * Merge musescore2 (2.3.2+dfsg4-12) unstable; urgency=medium
    - Fix CFLAGS/CXXFLAGS extras to disable upstream-only warnings
    - Update list of MScore.ttf copyright holders again, document
    - Explicitly debundle GNU FreeFont
    - Switch debian/watch to api.github.com to list more tags
    - Modernise maintainer scripts from jupp (template)
    - Bump Policy (no changes relevant for us)
    - Update lintian overrides
  * Merge patches from upstream or submitted:
    - do not delete courtesy accidentals on octave changes
    - allow mid-score staff name changes
    - fix crash hiding palettes (F9)
    - various plugin-related fixes
    - expose Score.selection object to access elements selected in GUI
    - add removeElement API and restore Chord.{add,remove} for plugins
  * Update patch submission/merge status/metadata
  * Fix pattern order in debian/copyright and document deviations

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Feb 2021 01:04:50 +0100

musescore3 (3.2.3+dfsg1-7) unstable; urgency=medium

  * Address QA warning in AppData
  * Quell another debugging output
  * Update musical font against latest PR sent upstream
  * Also indicate tuning, on/off time in the status line
  * Update SMuFL data (but keep same version) matching PR submitted
  * Fix rendering of parenthesised accidentals
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Oct 2020 06:45:12 +0100

musescore3 (3.2.3+dfsg1-6) unstable; urgency=low

  * Merge musescore2 (2.3.2+dfsg3-9) unstable; urgency=medium
    - Document the situation with musescore{,3,4} in Description
  * Update older changelog to mention need to avoid linking libssl
  * Merge musescore2 (2.3.2+dfsg3-10) unstable; urgency=low
    - reproducible builds: timezone-local stamps in PKZIP archives
  * Rename source package to musescore3 for symmetry

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Aug 2020 14:46:47 +0200

musescore (3.2.3+dfsg1-5exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 20:35:58 +0200

musescore (3.2.3+dfsg1-5) unstable; urgency=high

  * Merge musescore2 (2.3.2+dfsg3-8) wtf; urgency=low
    - Bump Policy (nothing relevant), debhelper
    - Remove dependencies on Qt SQL library which are unneeded
    - Fix DEP 5 format: repacking notice must be in Source, not a Comment
    - Update patches (forwarding information / releases fixed)
    - Drop home-grown umask fixup code, dh does this nowadays
    - Use dh’s new execute_{before,after}_* overrides
    - Work around #796257 to fix Debian reproducible builds
    - Don’t show irrelevant Qt5 deprecation warnings; upstream’s to fix
    - Forward and apply fixes by lintian
  * Add some patches from upstream:
    - Fix warning when loading custom workspaces
    - Allow building against Qt 5.14 (Closes: #964641)
    - Fix rendering of emboldened fonts
    - Numerous crash, playback, layout and other bugfixes
  * Update copyright info (Debian and patches from upstream/submissions)


=== debian/control ===
Source: musescore3
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://musescore.org/en
Build-Depends: debhelper-compat (= 13),
# # for the tests
# imagemagick,
  midicsv,
  mksh,
  pax,
  xauth,
  xvfb,
# # testsuite and runtime
  desktop-file-utils,
  fonts-freefont-ttf,
  libmp3lame0,
  musescore-general-soundfont-small | musescore-compatible-soundfont,
  qml-module-qtquick-controls,
  qml-module-qtquick-dialogs,
  qml-module-qtquick-layouts,
  qml-module-qtquick2,
  shared-mime-info,
  xdg-utils,
# # build
  cmake,
  doxygen,
  g++ (>= 4:4.8),
  graphviz,
  libasound2-dev,
  libfreetype6-dev (>= 2.5.2),
  libjack-dev,
  libmp3lame-dev,
  libpoppler-qt5-dev,
  libportmidi-dev [linux-any],
  libpulse-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
  libsndfile1-dev (>= 1.0.25),
  lsb-release,
  portaudio19-dev,
  qtbase5-dev,
  qtdeclarative5-dev (>= 5.8),
  qtscript5-dev,
  qttools5-dev,
  qttools5-dev-tools,
  zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/musescore.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/musescore.git;a=shortlog;h=refs/heads/master

Package: musescore3-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 musescore-general-soundfont-small | musescore-compatible-soundfont
Description: MuseScore 3 (music composition and notation) shared files
 Demonstration scores and templates, styles, localisations, some
 plugins for MuseScore, the Open Source (GNU GPL) cross-platform
 multi-lingual music notation software.
 .
 In contrast to earlier versions, no sound font is provided by
 default, but the Depends ensure a suitable one is installed,
 normally the compact, full orchestral and band sound, one that
 is shipped with MuseScore from version 2.2 onwards, or its more
 limited 2.1 counterpart fluidr3mono-gm-soundfont. In general,
 any soundfont that Provides musescore-compatible-soundfont will
 be acceptable; if you installed multiple, run the following
 command to configure the default MuseScore soundfont (select
 “0” to ensure that the highest-quality soundfont is used):
 .
 $ sudo update-alternatives --config MuseScore_General.sf3

Package: musescore3
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  desktop-file-utils,
  fonts-freefont-ttf,
  qml-module-qtquick-controls,
  qml-module-qtquick-dialogs,
  qml-module-qtquick-layouts,
  qml-module-qtquick2,
  shared-mime-info,
  xdg-utils,
# # dependent on MSCORE_INSTALL_SUFFIX from debian/rules
# # and MUSESCORE_VERSION_{MAJOR,MINOR} from CMakeLists.txt
  musescore3-common (>> 3.2~), musescore3-common (<< 3.3~)
Recommends: libmp3lame0
Suggests: pulseaudio-utils
Description: cross-platform multi-lingual music composition and notation, v3
 MuseScore is an Open Source (GNU GPL) music notation software that runs
 on all platforms supported by Qt5 (GNU/Linux, MacOS X, Windows), and is
 available in over forty different languages. It features an easy to use
 WYSIWYG editor with audio score playback for results that look and sound
 beautiful, rivaling commercial offerings like Finale and Sibelius.
 .
 This package provides MuseScore 3. You can install multiple versions of
 MuseScore in parallel, and upstream recommends doing so, because each
 major version has a new, incompatible, layout engine, and changing old
 scores without relayouting them fully with the new version can only be
 done by the old version. For MuseScore 2, install the musescore package,
 and expect a musescore4 package to show up in Debian bookworm.
 .
 Create, play back and print sheet music for free. Features include:
  - easy-to-use and customisable interface
  - optional dark theme (to focus on the score)
  - tours for first-time and returning users
  - albums combining multiple scores
  - unlimited score length
  - unlimited number of staves per system
  - up to four independent voices per staff
  - score creation wizard and templates
  - easy and fast note entry with a (PC) keyboard, the mouse, including
    an on-screen virtual (piano) keyboard, or MIDI (step-time, real-time)
  - timewise input (moving subsequent notes/rests), also for unmetered music
  - half-time and double-time paste commands for copy/paste
  - continuous view: focus on the content, scrolling by as an endless
    ribbon, undistracted by line breaks or page breaks; switch to page
    view to polish up for printing
  - timeline view
  - automatic part extraction (by staves or voices) and transposition
  - advanced transposition: transpose a selected passage to any key,
    or by any interval — or even transpose diatonically within the same key
  - repeats, including segnos, codas, measure repeats, advanced repeats;
    linearisation command to expand repeats
  - dynamics, articulations and other expression markings
  - playback support for almost all notation elements
  - custom text markings
  - style rules that apply to the whole score at once
  - automatic placement system (smart layout), now even more flexible
  - lyrics
  - chord symbols
  - Jazz notation, including lead sheets and slash notation
  - swing and shuffle playback
  - integrated sequencer and two software synthesisers (FluidSynth for
    SF2/SF3, Zerberus for SFZ), which also can use third-party soundfonts
  - single-note dynamics
  - mixer for instrument levels and effects
  - mixing and panning for individual parts
  - percussion notation
  - sticking (“fingering” for drummers)
  - early music notation
  - cross-staff beaming
  - import of graphics
  - custom key signatures
  - additive time signatures
  - system dividers
  - user-defined score styles
  - cutaway staves
  - pianoroll editor, edit playback parameters of each note individually
  - score comparison tool
  - and much more…
 .
 Choir features:
  - powerful lyrics copy and paste tools
  - implode/explode: combine up to four voices on one staff,
    then separate to individual staves
  - hide empty vocal staves, such as in a piano intro
  - figured bass for historical notation
  - smart lyrics: unlimited verses, with notes and staves automatically
    spaced, and verse numbers automatically aligned
  - voice leading checker: download the Check Harmony Rules proofreading
    plugin to check for errors in your part writing, according to
    standard rules
  - part mixer: mute, solo, or change volume of staves to learn
    individual lines — settings even apply to MP3 export
 .
 Piano features:
  - support for solo + piano (add small staff with different instrument)
  - support for cadenzas (smaller notes and variable length measures)
  - complete notation: pedaling, fingering, cross-staff beaming — you
    name it; everything needed to write piano sheet music is here
 .
 Guitar features:
  - bends, fingerings, and other common guitar notations supported
  - add/remove linked staves any time; enter notes on either standard
    (pitched five-line) or TAB staff
  - percussion/drumset also included
  - templates include guitar, tablature, guitar+tablature, rock/pop band
  - complete tablature: multiple tab styles available — from note symbols
    outside the staff to upside-down strings — and linked standard/tab
    staff pairs
  - Guitar Pro import: MuseScore can now open files from Guitar Pro, so
    you can easily migrate over. Import filters are improving with every
    release; GP3, GP4, GP5, GP6, GTP, GPX are currently supported.
  - Fretboard diagrams: 21 default chords for every key, and a powerful
    editor to create your own — with barre, fret position, and any number
    of strings
  - multiple or differently shaped dots per string; partial and multiple
    barres; ability to not show nut; customisable string/fret distance;
    chord symbols for diagrams and saving those to the palette; etc.
  - beyond guitar: banjo, mandolin, ukulele, oud; custom string tunings;
    even historical lute tablature: MuseScore does them all.
 .
 Orchestral features:
  - templates for common instrumentations
  - custom linked parts (e.g. create choral score from orchestra+chorus):
    any change you make to the content of any part is immediately
    reflected in the full score — and vice versa
  - powerful style controls: edit the formatting of parts and score
    independently — or apply the same style to all parts with one click
  - one-click transposition: instantly switch between transposed and
    concert pitch: sounding pitches stay the same while the written notes
    change
 .
 Jazz features:
  - templates for Jazz Lead Sheet, Big Band and Jazz Combo
  - real “handwritten” Book-style jazz font for text and chord symbols
  - formatting tools include adding line breaks every X measures
  - instantly switch between transposed and concert pitch
  - intelligent chord symbol: chord names are automatically formatted
    when you finish typing — plus, they transpose with the notes
  - easy slashes: commands to fill bars with slashes — and to turn notes
    into rhythmic slashes, and even accent notation above the staff
 .
 Marching ensembles features (needs the MDL extension):
  - marching band, indoor percussion, front ensemble, drumline and drum
    corps (even G bugles); no setup or configuration — select a template,
    start writing
 .
 Band features:
  - diverse templates: concert band, brass band, marching band, battery
    and pit percussion — ready out-of-the-box (plus big band for jazz)
  - custom linked parts: you can even keep a drumline score linked to a
    full marching band score and to individual percussion parts
 .
 Most elements in MuseScore are laid out automatically on a “virtual note
 sheet”, with a near professional-quality layout engine, but can also be
 positioned manually, giving you total control of every score element’s
 position. The capabilities of MuseScore can be extended via plugins and
 extensions, and the growing repository on musescore.org contains many
 plugins submitted by users and an active development team.
 .
 MuseScore includes a set of sounds that reproduce common instruments (as
 defined by General MIDI) without taking up a lot of disk space or memory
 providing full orchestral and band sounds (with the Drumline extension
 installed this includes marching percussion). The general (non-Drumline)
 sound font is available as musescore-general-soundfont Debian package,
 if you wish to reuse it with other synthesisers.) You can also load any
 sound font you prefer for a wider variety of sounds or for more realism.
 .
 MuseScore can import and export MIDI and MusicXML files, and it can also
 import from Capella and several other programs. MuseScore can export to
 PDF, PNG, and other graphic formats, to WAV and other audio formats such
 as OGG Vorbis and MP3, or to GNU Lilypond for an alternative layout and
 print option.
 .
 MuseScore can upload scores to musescore.com, a score sharing site, and
 send scrolling sheet music videos to YouTube. In addition to the desktop
 software, you can rehearse “on the go” with MuseScore mobile apps (which
 do not support note entry, but many advanced playback functions). Note
 that all of these are commercial or otherwise non-free offers optionally
 integrated with, but not part of, the Free notation program. Scrolling
 video scores feature the notes highlighted in the score as they sound —
 and highlighted on a virtual piano keyboard below.
